# Generated from fog-brightbox-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fog-brightbox

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 2%{?dist}
Summary: Module for `fog` or standalone provider to use the Brightbox Cloud
License: MIT
URL: https://github.com/fog/fog-brightbox
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: %{_bindir}/shindo
BuildRequires: rubygem(fog-core)
BuildRequires: rubygem(fog-json)
BuildRequires: rubygem(inflecto)
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(webmock)
BuildArch: noarch

%description
Module for the 'fog' gem to support Brightbox Cloud.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

# We don't have dry-inflector in Fedora yet, so stick with Inflecto.
# https://github.com/fog/fog-brightbox/pull/44
%gemspec_remove_dep -g dry-inflector ">= 0"
%gemspec_add_dep -g inflecto
sed -i '/require "dry\/inflector"/ s|dry/inflector|inflecto|' lib/fog/brightbox/model_helper.rb
sed -i 's|Dry::Inflector\.new|Inflecto|' lib/fog/brightbox/model_helper.rb

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
ruby -Ilib:spec -e 'Dir.glob "./spec/**/*_spec.rb", &method(:require)'
FOG_MOCK=true shindo
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/fog-brightbox.gemspec
%{gem_instdir}/spec
%{gem_instdir}/tests

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 06 2018 Vít Ondruch <vondruch@redhat.com> - 1.0.0-1
- Update to fog-brightbox 1.0.0.

* Thu Nov 01 2018 Vít Ondruch <vondruch@redhat.com> - 0.16.1-1
- Update to fog-brightbox 0.16.1.

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Sep 09 2016 Vít Ondruch <vondruch@redhat.com> - 0.11.0-1
- Update to fog-brightbox 0.11.0.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 23 2015 Vít Ondruch <vondruch@redhat.com> - 0.9.0-1
- Update to fog-brightbox 0.9.0.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 12 2015 Vít Ondruch <vondruch@redhat.com> - 0.7.1-1
- Update to fog-brightbox 0.7.1.

* Fri May 23 2014 Vít Ondruch <vondruch@redhat.com> - 0.0.2-1
- Initial package
